#!/usr/bin/env python
from os import *

data_list = ['a9a','real-sim','news20.binary','rcv1_test.binary']

bestC = {}
bestC[('a9a','lr')] = 4.0
bestC[('real-sim','lr')] = 8.0
bestC[('news20.binary','lr')] = 64.0
bestC[('rcv1_test.binary','lr')] = 8.0
# The best parameter C selected by 5-fold cross-validation

eps = 1e-6

def compare(data):

	#LBFGS
	cmd ="cd lbfgs/;matlab -nodisplay -r \"runlbfgs('../data/%s.train','../data/%s.test',%s,%s);quit;\" > ../log/LBFGS_%s_Cbest;cd .."\
			%(data,data,bestC[(data,'lr')],eps,data)
	print cmd
	system(cmd)

	#TRON
	cmd ="./liblinear/train -s 6 -c %s -e %s data/%s.train data/%s.test > log/TRON_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)

	#CDprimal
	cmd ="./liblinear/train -s 9 -c %s -e %s data/%s.train data/%s.test > log/CDprimal_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)
	
	#CDdual
	cmd ="./liblinear/train -s 12 -c %s -e %s data/%s.train data/%s.test > log/CDdual_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)
	
	#CDdual-ls
	cmd ="./liblinear/train -s 13 -c %s -e %s data/%s.train data/%s.test > log/CDdual-ls_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)

        #EG
        cmd ="./liblinear/train -s 14 -c %s -e %s data/%s.train data/%s.test > log/EG_%s_Cbest"\
                        %(bestC[(data,'lr')], eps, data, data, data)
        print cmd
        system(cmd)

        #BN
        cmd ="./liblinear/train -s 15 -c %s -e %s data/%s.train data/%s.test > log/BN_%s_Cbest"\
                        %(bestC[(data,'lr')], eps, data, data, data)
        print cmd
        system(cmd)


for data in data_list:
	compare(data)
